Subject: Potential exim/minires VPN problem
From: Jason Tishler <[email-masked]>
To: Cygwin <[email-masked]>
Cc: [email-masked]
Date: Fri, 12 Sep 2003 16:39:46 -0400

Pierre,

On my laptop, exim/minires has transient DNS lookup problems when I'm
VPN-ed into my company's network, but does not exhibit this behavior
when I'm directly connected to it.

When VPN-ed, I get errors like the following:

    2003-09-12 15:07:36 HL47SO-00014S-5P <= [email-masked] H=(tishlerjason.bar.foo.com) [127.0.0.1] P=smtp S=882 id=[email-masked]
    2003-09-12 15:08:01 HL47SO-00014S-5P == [email-masked] R=send_to_gateway defer (-36): host lookup for smtp.foo.com did not complete (DNS timeout?)

However, if I run the following:

    $ exim -qqff

then the mail is successfully sent:

    2003-09-12 15:08:12 Start queue run: pid=2500 -qqff
    2003-09-12 15:08:13 HL47SO-00014S-5P => [email-masked] R=send_to_gateway T=remote_smtp H=smtp.foo.com [XX.XX.XX.XX]
    2003-09-12 15:08:13 HL47SO-00014S-5P Completed
    2003-09-12 15:08:13 End queue run: pid=2500 -qqff

I can also workaround the problem by creating an /etc/resolv.conf file.

Any ideas on how to further debug this problem?

Thanks,
Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/